%define		fversion	%(echo %{version} |tr r -)
%define		modulename	xgobi
Summary:	Interface to the XGobi and XGvis programs for graphical data analysis
Summary(pl.UTF-8):	Interfejsy do programów XGobi i XGvis do graficznej analizy danych
Name:		R-cran-%{modulename}
Version:	1.2r15
Release:	2
License:	Copyright (C) by Bellcore, non-profit use and redistribution permitted (see COPYING for details)
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	f940376554daab0cc17a0c0530bc9dfa
BuildRequires:	R >= 2.8.1
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface to the XGobi and XGvis programs for graphical data analysis.

%description -l pl.UTF-8
Interfejsy do programów XGobi i XGvis do graficznej analizy danych.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,README,ChangeLog}
%{_libdir}/R/library/%{modulename}
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-xgobi.git;a=log;h=master

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 522612f
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 2261cc4
- up to 1.2-15

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> 0acae8b
- updated R reqs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2e2283d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1817400
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> fc31046
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> de80299
- fix duplicate %descriptions

* Sat Nov 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 2c12a5d
- pl fix

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> f792719
- initital

